﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Infragistics.Controls.Grids;
using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;

namespace Sample
{
    public static class MockGrid
    {

        public static XamDataGrid getGrid(int row, Style s)
        {
            XamDataGrid grid = new XamDataGrid()
            {
                Style = s,
                AutoFit = false,
                IsGroupByAreaExpanded = false,
                FieldLayoutSettings = new FieldLayoutSettings() { AutoGenerateFields = true },
                DataSource = MockData.GetDumpData(row),
                CellContainerGenerationMode = CellContainerGenerationMode.Recycle,
                RecordContainerGenerationMode = ItemContainerGenerationMode.Recycle,
            };

            return grid;
        }


        public static XamGrid getXamGrid(int row)
        {
            XamGrid grid = new XamGrid()
            {
                AutoGenerateColumns = true,
                ItemsSource = MockData.GetDumpData(row)                
            };

            return grid;
        }

    }
}
