using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.Controls;

namespace Sample
{
    /// <summary>
    /// Interaction logic for SampleGridView.xaml
    /// </summary>
    public partial class SampleGridView : UserControl, ISampleGridView
    {
        private ISampleGridViewModel viewModel;

        public SampleGridView()
        {
            InitializeComponent();
        }

        #region ISampleGridView Members

        public string ViewName { get; set; }

        public void SetViewModel(ISampleGridViewModel model)
        {
            this.DataContext = model;
            this.viewModel = model;
        }

        #endregion
    }
}
